Name:           ocaml-curl
Version:        0.9.0
Release:        %mkrel 4
Summary:        OCaml Curl library (ocurl)
Group:          Development/OCaml
License:        MIT
URL:            http://ocurl.forge.ocamlcore.org
Source0:        https://github.com/ygrek/ocurl/archive/%{version}/ocurl-%{version}.tar.gz
Patch0:		https://github.com/ygrek/ocurl/commit/967609e2e7861321bded926308a98011b787eadf.patch
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib-devel
BuildRequires:  pkgconfig(libcurl) >= 7.28.0
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  libev-devel
BuildRequires:  gawk
# Because ocaml-curl is compiled with custom, it needs the curl-devel lib even for the bytecode ocaml lib.
Requires:       curl-devel
Conflicts:	%{name}-devel < 0.5.3-6

%description
The OCaml Curl Library (Ocurl) is an interface library for the
programming language OCaml to the networking library libcurl.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -n ocurl-%{version}

# Files in the archive have spurious +x mode.
find -type f | xargs chmod 0644
chmod 0755 configure install-sh

%build
%configure --libdir=%{_libdir} --with-findlib
make all

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
make install

# Install curl.mli
cp curl.mli $OCAMLFIND_DESTDIR/curl

# Make clean in the examples dir so our docs don't contain binaries.
make -C examples clean

mkdir api-doc
ocamldoc -d api-doc -html curl.mli

%files
%license COPYING
%dir %{_libdir}/ocaml/curl
%{_libdir}/ocaml/curl/META
%{_libdir}/ocaml/curl/*.cmi
%{_libdir}/ocaml/curl/*.cma
%{_libdir}/ocaml/curl/*.cmxs
# Because ocaml-curl is compiled with custom, it needs the native lib, even for the bytecode version
%{_libdir}/ocaml/curl/*.a
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc examples/
%doc api-doc/
%{_libdir}/ocaml/curl/*.cmt
%{_libdir}/ocaml/curl/*.cmti
%{_libdir}/ocaml/curl/*.cmx
%{_libdir}/ocaml/curl/*.cmxa
%{_libdir}/ocaml/curl/*.mli


%changelog
* Sun Jan 10 2021 pterjan <pterjan> 0.9.0-4.mga8
+ Revision: 1670441
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 0.9.0-3.mga8
+ Revision: 1551138
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 0.9.0-2.mga8
+ Revision: 1543558
- Mageia 8 Mass Rebuild

* Tue Jan 21 2020 tv <tv> 0.9.0-1.mga8
+ Revision: 1481909
- new release + rebuild for ocaml-4.10
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Mar 16 2019 daviddavid <daviddavid> 0.8.2-1.mga7
+ Revision: 1377874
- new version: 0.8.2

* Tue Oct 23 2018 tv <tv> 0.7.9-3.mga7
+ Revision: 1324280
- rebuild with ocaml-4.07.1

* Sun Sep 23 2018 umeabot <umeabot> 0.7.9-2.mga7
+ Revision: 1299858
- Mageia 7 Mass Rebuild

* Sat Nov 25 2017 tv <tv> 0.7.9-1.mga7
+ Revision: 1179276
- fix filelist
- new release
- rebuild for new ocaml

* Mon Sep 26 2016 pterjan <pterjan> 0.7.6-2.mga6
+ Revision: 1056322
- Rebuild for fix in ocaml

* Fri Jan 29 2016 pterjan <pterjan> 0.7.6-1.mga6
+ Revision: 928795
- Update to 0.7.6

* Wed Oct 15 2014 umeabot <umeabot> 0.5.3-15.mga5
+ Revision: 750774
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.3-14.mga5
+ Revision: 683016
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.5.3-13.mga4
+ Revision: 536093
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 blue_prawn <blue_prawn> 0.5.3-12.mga4
+ Revision: 483304
- also provide the ocamldoc generated API documentation

* Sat Jan 12 2013 umeabot <umeabot> 0.5.3-11.mga3
+ Revision: 361262
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.5.3-10.mga3
+ Revision: 301433
- build requires ocaml-compiler
- rebuild for ocaml-4.00.0
- rebuild for ocaml-4.00.0

* Sun Sep 30 2012 blue_prawn <blue_prawn> 0.5.3-8.mga3
+ Revision: 300600
- minor things
- new rpm group for ocaml

* Sun Dec 11 2011 fwang <fwang> 0.5.3-7.mga2
+ Revision: 180528
- add conflicts to ease upgrade

* Sun Dec 11 2011 malo <malo> 0.5.3-6.mga2
+ Revision: 180518
- moving file from devel to the main package to fix bytecode lib.

* Sun Oct 02 2011 shlomif <shlomif> 0.5.3-5.mga2
+ Revision: 151007
- Removed a Require curl (thanks to Malo)

* Sun Oct 02 2011 fwang <fwang> 0.5.3-4.mga2
+ Revision: 150897
- rebuild for new ocaml

* Tue Apr 12 2011 ennael <ennael> 0.5.3-3.mga1
+ Revision: 83663
- clean spec file
- imported package ocaml-curl

